# isUppercase

> Test if a value is an uppercase string.


<section class="usage">

## Usage

``` javascript
var isUppercase = require( '@stdlib/assert/is-uppercase' );
```

#### isUppercase( value )

Tests if a `value` is an uppercase `string`.

``` javascript
var bool = isUppercase( 'HELLO' );
// returns true

bool = isUppercase( 'salt and light' );
// returns false
```

</section>

<!-- /.usage -->


<section class="notes">

## Notes

* The function validates that a `value` is a `string`. For all other types, the function returns `false`.

</section>

<!-- /.notes -->


<section class="examples">

## Examples

``` javascript
var isUppercase = require( '@stdlib/assert/is-uppercase' );

var bool = isUppercase( 'HELLO' );
// returns true

bool = isUppercase( '' );
// returns false

bool = isUppercase( 'Hello' );
// returns false

bool = isUppercase( 'hello' );
// returns false
```

</section>

<!-- /.examples -->


<section class="links">

</section>

<!-- /.links -->
